Package: groovy.io

## [Java] Enum FileVisitResult

- groovy.io.FileVisitResult

- Represents special return values for the 'preDir', 'postDir' and 'visit'/supplied Closures used with DefaultGroovyMethods.traverse and related methods to control subsequent traversal behavior.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CONTINUE` |
    `SKIP_SIBLINGS` |
    `SKIP_SUBTREE` |
    `TERMINATE` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, getClass, notify, notifyAll, wait, wait, wait`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FileVisitResult CONTINUE

    - #### FileVisitResult SKIP_SIBLINGS

    - #### FileVisitResult SKIP_SUBTREE

    - #### FileVisitResult TERMINATE